"use strict";Object.defineProperty(exports, "__esModule", {value: true});// src/bold.ts





var _core = require('@tiptap/core');
var starInputRegex = /(?:^|\s)((?:\*\*)((?:[^*]+))(?:\*\*))$/;
var starPasteRegex = /(?:^|\s)((?:\*\*)((?:[^*]+))(?:\*\*))/g;
var underscoreInputRegex = /(?:^|\s)((?:__)((?:[^__]+))(?:__))$/;
var underscorePasteRegex = /(?:^|\s)((?:__)((?:[^__]+))(?:__))/g;
var Bold = _core.Mark.create({
  name: "bold",
  addOptions() {
    return {
      HTMLAttributes: {}
    };
  },
  parseHTML() {
    return [
      {
        tag: "strong"
      },
      {
        tag: "b",
        getAttrs: (node) => node.style.fontWeight !== "normal" && null
      },
      {
        style: "font-weight",
        getAttrs: (value) => /^(bold(er)?|[5-9]\d{2,})$/.test(value) && null
      }
    ];
  },
  renderHTML({ HTMLAttributes }) {
    return ["strong", _core.mergeAttributes.call(void 0, this.options.HTMLAttributes, HTMLAttributes), 0];
  },
  addCommands() {
    return {
      setBold: () => ({ commands }) => {
        return commands.setMark(this.name);
      },
      toggleBold: () => ({ commands }) => {
        return commands.toggleMark(this.name);
      },
      unsetBold: () => ({ commands }) => {
        return commands.unsetMark(this.name);
      }
    };
  },
  addKeyboardShortcuts() {
    return {
      "Mod-b": () => this.editor.commands.toggleBold(),
      "Mod-B": () => this.editor.commands.toggleBold()
    };
  },
  addInputRules() {
    return [
      _core.markInputRule.call(void 0, {
        find: starInputRegex,
        type: this.type
      }),
      _core.markInputRule.call(void 0, {
        find: underscoreInputRegex,
        type: this.type
      })
    ];
  },
  addPasteRules() {
    return [
      _core.markPasteRule.call(void 0, {
        find: starPasteRegex,
        type: this.type
      }),
      _core.markPasteRule.call(void 0, {
        find: underscorePasteRegex,
        type: this.type
      })
    ];
  }
});

// src/index.ts
var src_default = Bold;







exports.Bold = Bold; exports.default = src_default; exports.starInputRegex = starInputRegex; exports.starPasteRegex = starPasteRegex; exports.underscoreInputRegex = underscoreInputRegex; exports.underscorePasteRegex = underscorePasteRegex;
