import { Mark } from '@tiptap/core';

interface BoldOptions {
    HTMLAttributes: Record<string, any>;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        bold: {
            /**
             * Set a bold mark
             */
            setBold: () => ReturnType;
            /**
             * Toggle a bold mark
             */
            toggleBold: () => ReturnType;
            /**
             * Unset a bold mark
             */
            unsetBold: () => ReturnType;
        };
    }
}
declare const starInputRegex: RegExp;
declare const starPasteRegex: RegExp;
declare const underscoreInputRegex: RegExp;
declare const underscorePasteRegex: RegExp;
declare const Bold: Mark<BoldOptions, any>;

export { Bold, BoldOptions, Bold as default, starInputRegex, starPasteRegex, underscoreInputRegex, underscorePasteRegex };
